## libzstd 1.3.8%2Bdfsg

=== debian/changelog ===
libzstd (1.3.8+dfsg-3+rpi1+deb10u2) buster-staging; urgency=medium

  [changes brought forward from 1.3.3+dfsg-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sun, 14 Jan 2018 16:35:02 +0000]
  * Disable testsuite.

  [changes introduced in 1.3.5+dfsg-2+rpi1 by Peter Michael Green]
  * Remove .gitattributes file, it seems to break dgit.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 22 Feb 2021 07:13:21 +0000

libzstd (1.3.8+dfsg-3+deb10u2) buster-security; urgency=high

  * Team upload.
  * The previous fix-file-permissions-on-compression.patch almost closed the
    window of the race condition, but not completely.  This patch, adapted from
    upstream, 0017-fix-file-permissions-on-compression.patch, replaces the
    previous attempt by erasing the umask before opening the destination file.
    Closes: #982519

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Thu, 18 Feb 2021 12:59:48 +0100

libzstd (1.3.8+dfsg-3+deb10u1) buster-security; urgency=high

  * Team upload.
  * When a file with restricted permissions is compressed, the resulting file
    inherits the umask of the user for the time of the compression.  This will
    usually lead to surprising and too relaxed permissions.  This update adds
    fix-file-permissions-on-compression.patch to make sure the compressed file
    is not group or world readable for the duration of the compression.
    Closes: #981404

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 01 Feb 2021 20:36:53 +0100

libzstd (1.3.8+dfsg-3) unstable; urgency=medium

  * Add patch fixing zstdgrep exit code when operating on files
    Closes: #918390

 -- Alexandre Mestiashvili <mestia@debian.org>  Sat, 05 Jan 2019 23:42:20 +0100

libzstd (1.3.8+dfsg-2) unstable; urgency=medium

  * Add patch skipping tests failing on GNU/Hurd when writing to special files
    such as /dev/zero or /dev/random
  * Upload to unstable

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 03 Jan 2019 14:47:31 +0100

libzstd (1.3.8+dfsg-1) experimental; urgency=medium

  * Add .circleci to Files-Excluded
  * New upstream version 1.3.8+dfsg
  * Update docs, install all md files and CHANGELOG
  * Bumpt Policy to 4.3.0
  * Refresh and drop applied by upstream patches
  * Update symbols file for libzstd1,
    removed! 6 symbols from experimental API, but no reverse dependencies
    of libzstd1 seem to use any of the removed symbols
    See also: https://github.com/facebook/zstd/issues/1111
  * Call dh_makeshlibs with -V 'libzstd1 (>= 1.3.8)', since this version
    introduced new public symbols
  * Update zstd.lintian-overrides, zstd{grep,less} got man pages

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 31 Dec 2018 15:19:12 +0100

libzstd (1.3.5+dfsg-2) unstable; urgency=medium

  * Add udeb package for libzstd1, Closes: #908834
  * Bump Policy to 4.2.1
  * Call dh_makeshlibs with -V 'libzstd1 (>= 1.3.5)', since this version
    introduced new public symbols

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 12 Oct 2018 08:00:27 +0000

## libzstd 1.3.8+dfsg

=== debian/control ===
Source: libzstd
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>,
           Olivier Sallou <osallou@debian.org>,
           Alexandre Mestiashvili <mestia@debian.org>
Section: libs
Priority: optional
Build-Depends: d-shlibs,
               debhelper (>= 11),
               help2man,
               liblz4-dev,
               liblzma-dev,
               zlib1g-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/med-team/libzstd
Vcs-Git: https://salsa.debian.org/med-team/libzstd.git
Homepage: https://github.com/facebook/zstd

Package: libzstd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libzstd1 (= ${binary:Version}),
         ${misc:Depends}
Description: fast lossless compression algorithm -- development files
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the headers and static library.

Package: libzstd1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast lossless compression algorithm
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the shared library.

Package: zstd
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast lossless compression algorithm -- CLI tool
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the CLI program implementing zstd.

Package: libzstd1-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends},
         ${shlibs:Depends}
Package-Type: udeb
Description: fast lossless compression algorithm library for debian-installer

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Upstream's makefiles will respect PREFIX, and this means we avoid a patch
export PREFIX=/usr

HELP2MAN = help2man --no-info --help-option="'-h'" --no-discard-stderr
mandir := $(CURDIR)/debian/zstd/usr/share/man/man1

%:
	dh $@

DH_AUTO_CONFIGURE_OPTS :=
ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	DH_AUTO_CONFIGURE_OPTS += -DZSTD_BUILD_TESTS:BOOL=OFF
endif

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedirectory=contrib/pzstd

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=contrib/pzstd/ -- pzstd

override_dh_install:
	# Call d-shlibmove to comply with library packaging guide
	d-shlibmove --commit \
				--multiarch \
				--devunversioned \
				--exclude-la \
				--movedev "debian/tmp/usr/include/*" usr/include \
				--movedev "debian/tmp/usr/lib/pkgconfig/*" usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig \
				debian/tmp/usr/lib/lib*.so
	cp -r debian/libzstd1/usr debian/libzstd1-udeb/
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -plibzstd1 -V'libzstd1 (>= 1.3.8)' --add-udeb=libzstd1-udeb

override_dh_installman:
	dh_installman
	mkdir -p $(mandir)
	$(HELP2MAN) --name='parallelised Zstandard compression, al la pigz' contrib/pzstd/pzstd \
	| perl -pe 's/(\(de\)compression\s\(default:)(\d+)(\))/$$1 All$$3/g' >$(mandir)/pzstd.1

## libzstd 1.3.8+dfsg-1~stretch+1

=== zlibWrapper/Makefile ===
# Makefile for example of using zstd wrapper for zlib
#
# make - compiles examples
# make MOREFLAGS=-DZWRAP_USE_ZSTD=1 - compiles examples with zstd compression turned on
# make test - runs examples


# Paths to static and dynamic zlib and zstd libraries
# Use "make ZLIB_PATH=path/to/zlib ZLIB_LIBRARY=path/to/libz.a" to select a path to library
ZLIB_LIBRARY ?= -lz
ZLIB_PATH ?= .

ZSTDLIBDIR = ../lib
ZSTDLIBRARY = $(ZSTDLIBDIR)/libzstd.a
ZLIBWRAPPER_PATH = .
#GZFILES = gzclose.o gzlib.o gzread.o gzwrite.o
EXAMPLE_PATH = examples
PROGRAMS_PATH = ../programs
TEST_FILE = ../doc/zstd_compression_format.md

CPPFLAGS = -DXXH_NAMESPACE=ZSTD_ -I$(ZLIB_PATH) -I$(PROGRAMS_PATH)       \
           -I$(ZSTDLIBDIR) -I$(ZSTDLIBDIR)/common -I$(ZLIBWRAPPER_PATH)
CFLAGS  ?= $(MOREFLAGS) -O3 -std=gnu99
CFLAGS  += -Wall -Wextra -Wcast-qual -Wcast-align -Wshadow -Wswitch-enum \
           -Wdeclaration-after-statement -Wstrict-prototypes -Wundef     \
           -Wstrict-aliasing=1


# Define *.exe as extension for Windows systems
ifneq (,$(filter Windows%,$(OS)))
EXT =.exe
else
EXT =
endif


all: fitblk example zwrapbench minigzip

test: example fitblk example_zstd fitblk_zstd zwrapbench minigzip minigzip_zstd
	./example
	./example_zstd
	./fitblk 10240 <$(TEST_FILE)
	./fitblk 40960 <$(TEST_FILE)
	./fitblk_zstd 10240 <$(TEST_FILE)
	./fitblk_zstd 40960 <$(TEST_FILE)
	@echo ---- minigzip start ----
	./minigzip_zstd example$(EXT)
	#cp example$(EXT).gz example$(EXT)_zstd.gz
	./minigzip_zstd -d example$(EXT).gz
	./minigzip example$(EXT)
	#cp example$(EXT).gz example$(EXT)_gz.gz
	./minigzip_zstd -d example$(EXT).gz
	@echo ---- minigzip end ----
	./zwrapbench -qi1b3B1K $(TEST_FILE)
	./zwrapbench -rqi1b1e5 ../lib ../programs ../tests

#valgrindTest: ZSTDLIBRARY = $(ZSTDLIBDIR)/libzstd.so
valgrindTest: VALGRIND = LD_LIBRARY_PATH=$(ZSTDLIBDIR) valgrind --track-origins=yes --leak-check=full --error-exitcode=1
valgrindTest: clean example fitblk example_zstd fitblk_zstd zwrapbench
	@echo "\n ---- valgrind tests ----"
	$(VALGRIND) ./example
	$(VALGRIND) ./example_zstd
	$(VALGRIND) ./fitblk 10240 <$(TEST_FILE)
	$(VALGRIND) ./fitblk 40960 <$(TEST_FILE)
	$(VALGRIND) ./fitblk_zstd 10240 <$(TEST_FILE)
	$(VALGRIND) ./fitblk_zstd 40960 <$(TEST_FILE)
	$(VALGRIND) ./zwrapbench -qi1b3B1K $(TEST_FILE)
	$(VALGRIND) ./zwrapbench -rqi1b1e5 ../lib ../programs ../tests

#.c.o:
#	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

minigzip: $(EXAMPLE_PATH)/minigzip.o $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZSTDLIBRARY) $(ZLIB_LIBRARY) -o $@

minigzip_zstd: $(EXAMPLE_PATH)/minigzip.o $(ZLIBWRAPPER_PATH)/zstdTurnedOn_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZSTDLIBRARY) $(ZLIB_LIBRARY) -o $@

example: $(EXAMPLE_PATH)/example.o $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZLIB_LIBRARY) -o $@

example_zstd: $(EXAMPLE_PATH)/example.o $(ZLIBWRAPPER_PATH)/zstdTurnedOn_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZLIB_LIBRARY) -o $@

fitblk: $(EXAMPLE_PATH)/fitblk.o $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZLIB_LIBRARY) -o $@

fitblk_zstd: $(EXAMPLE_PATH)/fitblk.o $(ZLIBWRAPPER_PATH)/zstdTurnedOn_zlibwrapper.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZLIB_LIBRARY) -o $@

zwrapbench: $(EXAMPLE_PATH)/zwrapbench.o $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.o $(PROGRAMS_PATH)/util.o $(PROGRAMS_PATH)/datagen.o $(ZSTDLIBRARY)
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ $(ZLIB_LIBRARY) -o $@


$(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.o: $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.c $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -I. -c -o $@ $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.c

$(ZLIBWRAPPER_PATH)/zstdTurnedOn_zlibwrapper.o: $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.c $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.h
	$(CC) $(CFLAGS) $(CPPFLAGS) -DZWRAP_USE_ZSTD=1 -I. -c -o $@ $(ZLIBWRAPPER_PATH)/zstd_zlibwrapper.c

$(ZSTDLIBDIR)/libzstd.a:
	$(MAKE) -C $(ZSTDLIBDIR) libzstd.a

$(ZSTDLIBDIR)/libzstd.so:
	$(MAKE) -C $(ZSTDLIBDIR) libzstd


clean:
	-$(RM) $(ZLIBWRAPPER_PATH)/*.o $(EXAMPLE_PATH)/*.o *.o foo.gz example$(EXT) example_zstd$(EXT) fitblk$(EXT) fitblk_zstd$(EXT) zwrapbench$(EXT) minigzip$(EXT) minigzip_zstd$(EXT)
	@echo Cleaning completed

=== debian/changelog ===
libzstd (1.3.8+dfsg-1~stretch+1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 11 Sep 2019 10:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Build-Depends: d-shlibs,
-               debhelper (>= 11),
+               debhelper (>= 10),
                help2man,
                liblz4-dev,
                liblzma-dev,

## libzstd 1.4.3+dfsg

=== debian/changelog ===
libzstd (1.4.3+dfsg-1) unstable; urgency=medium

  [ Alexandre Mestiashvili ]
  * Fix a typo causing test failures on mips(el) architectures in
    d/patches/0013-skip-memory-greedy-tests.patch
  * Remove circle.yml from Files-Excluded section in d/copyright
  * New upstream version 1.4.3+dfsg

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 20 Aug 2019 13:33:51 +0200

libzstd (1.4.2+dfsg-1) unstable; urgency=medium

  [ Justin Aplin ]
  * New upstream version 1.4.2+dfsg
  * Refresh and drop applied by upstream patches
  * Add patch aliasing two renamed but unchanged symbols to maintain backwards
    compatibility
  * Build with ZSTD_LEGACY_MULTITHREADED_API=1 to maintain backwards
    compatibility
  * Update symbols file for libzstd1
  * Call dh_makeshlibs with -V 'libzstd1 (>= 1.4.0)', since this version
    introduced new public symbols
  * Bump debhelper compat level to 12.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Salsa-CI integration

  [ Alexandre Mestiashvili ]
  * Add .cirrus.yml to Files-Excluded list in d/copyright

 -- Alexandre Mestiashvili <mestia@debian.org>  Mon, 19 Aug 2019 15:14:31 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: libs
 Priority: optional
 Build-Depends: d-shlibs,
-               debhelper (>= 10),
+               debhelper (>= 12),
                help2man,
                liblz4-dev,
                liblzma-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/libzstd
 Vcs-Git: https://salsa.debian.org/med-team/libzstd.git
 Homepage: https://github.com/facebook/zstd

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	dh_auto_clean --sourcedirectory=contrib/pzstd
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- ZSTD_LEGACY_MULTITHREADED_API=1
 	dh_auto_build --sourcedirectory=contrib/pzstd/ -- pzstd
 
 override_dh_install:
@@ -41,7 +41,7 @@
 	dh_install
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibzstd1 -V'libzstd1 (>= 1.3.8)' --add-udeb=libzstd1-udeb
+	dh_makeshlibs -plibzstd1 -V'libzstd1 (>= 1.4.0)' --add-udeb=libzstd1-udeb
 
 override_dh_installman:
 	dh_installman

## libzstd 1.4.4

=== debian/changelog ===
libzstd (1.4.4) unstable; urgency=low

  * Add zstd debian build

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 13 Feb 2020 09:14:18 +0100

=== debian/control ===
Source: libzstd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>,
           Olivier Sallou <osallou@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               gcc
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/git/debian-med/libzstd.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libzstd.git
Homepage: https://github.com/facebook/zstd

Package: libzstd-dev
Architecture: any
Section: libdevel
Depends: libzstd1 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libzstd1-dev
Provides: libzstd-dev
Description: fast lossless compression algorithm -- development files
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the headers and static library.

Package: libzstd1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: fast lossless compression algorithm
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the shared library.

Package: zstd
Architecture: any
Section: utils
Depends: libzstd1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: fast lossless compression algorithm -- CLI tool
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the CLI program implementing zstd.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Upstream's makefiles will respect PREFIX, and this means we avoid a patch
export PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C contrib/pzstd/ pzstd

override_dh_install:
	# Call d-shlibmove to comply with library packaging guide
	dh_install

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C contrib/pzstd clean

## libzstd 1.4.4%2Bdfsg

=== debian/control ===
Source: libzstd
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Kevin Murray <kdmfoss@gmail.com>,
           Olivier Sallou <osallou@debian.org>,
           Alexandre Mestiashvili <mestia@debian.org>
Section: libs
Priority: optional
Build-Depends: d-shlibs,
               debhelper-compat (= 12),
               help2man,
               liblz4-dev,
               liblzma-dev,
               zlib1g-dev
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/libzstd
Vcs-Git: https://salsa.debian.org/med-team/libzstd.git
Homepage: https://github.com/facebook/zstd

Package: libzstd-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libzstd1 (= ${binary:Version}),
         ${misc:Depends}
Description: fast lossless compression algorithm -- development files
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the headers and static library.

Package: libzstd1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast lossless compression algorithm
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the shared library.

Package: zstd
Architecture: any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: fast lossless compression algorithm -- CLI tool
 Zstd, short for Zstandard, is a fast lossless compression algorithm, targeting
 real-time compression scenarios at zlib-level compression ratio.
 .
 This package contains the CLI program implementing zstd.

Package: libzstd1-udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends},
         ${shlibs:Depends}
Package-Type: udeb
Description: fast lossless compression algorithm library for debian-installer
